1. Skippy's Avatar
    Hello!
    Kinda a sucker at all this JB'ing stuff so would appreciate some help. I've got a iPhone 3GS with iOS 3.1 and baseband 05.11.07 with old bootrom. I've starting to have an erge to upgrading to iOS 4. Which version of 4.0/4.0.1/4.0.2/4.1/4.2? would be the optimal for me? Which version can I upgrade to and still remain untethered? Don't need to be able to unlock it.
    11-28-2010 12:33 AM
  2. myzhi's Avatar
    If you have old bootrom 3GS and don't care about updating baseband = unlock, you can update to newest firmware 4.2.1 if you want. Use Redsnow for untethered JB, but you must be 100% sure you have the old bootrom. If not, use 4.1 instead.
    11-28-2010 01:09 AM
  3. Skippy's Avatar
    To what version would I go for if I wanted to avoid updating my baseband? It's any below 4.1 right?
    11-28-2010 10:30 AM
  4. farbod21's Avatar
    There should be an Ultrasn0w update today. Stay tuned...
    Nehemoth likes this.
    11-28-2010 02:46 PM
  5. Nehemoth's Avatar
    Hello!
    Kinda a sucker at all this JB'ing stuff so would appreciate some help. I've got a iPhone 3GS with iOS 3.1 and baseband 05.11.07 with old bootrom. I've starting to have an erge to upgrading to iOS 4. Which version of 4.0/4.0.1/4.0.2/4.1/4.2? would be the optimal for me? Which version can I upgrade to and still remain untethered? Don't need to be able to unlock it.

    I'm on this same situation, I won't upgrade my baseband, I won't like to be locked forever.

    I try to upgrade to 4.1 like 3 weeks ago and received the 1600 error so I still stocked on 3.1.2.

    I will wait til next week to do the upgrade maybe to 4.2.1 but only if I don't have to do the ipad treak
    11-29-2010 08:09 AM
  6. farbod21's Avatar
    I'm on this same situation, I won't upgrade my baseband, I won't like to be locked forever.

    I try to upgrade to 4.1 like 3 weeks ago and received the 1600 error so I still stocked on 3.1.2.

    I will wait til next week to do the upgrade maybe to 4.2.1 but only if I don't have to do the ipad treak
    You wont be locked forever, you will just need to install custom ipsw's for the next few firmware installs until the baseband # goes past 06.15.00.

    As you depend on unlocks, you would have to install the custom ipsw's anyway, so I do not see the downside.

    But most importantly. If you are ALREADY UNLOCKED, there is no need to do the iPad trick. Simply use redsn0w to keep your baseband as is and make a custom firmware for the new firmware you wish to install.
    Last edited by farbod21; 11-29-2010 at 10:36 AM.
    Nehemoth likes this.
    11-29-2010 10:34 AM
  7. Nehemoth's Avatar
    Excellent, thank you

    I will do it in that way.
    11-29-2010 10:49 AM
  8. Nehemoth's Avatar
    Info
    iPhone..............3Gs
    iOS.................3.1.2
    Unlocked............Yes
    Jailbreaked.........Yes
    Tool User...........Blackra1n (UltraSn0w)
    Bootrom.............359.3
    BootLoader..........6.4
    Baseband............05.11.07
    SHSH Saved..........Yes



    I want upgrade to 4.2.1 so let me recap to be clear.

    Go to DFU mode
    make a restore with iTunes and 4.2.1
    Jailbreak with Redsn0w 0.9.6 Beta 5 for Windows
    From Cydia install Ultrasn0w 1.2
    Sync and restore from my backup
    Enjoy my iPhone?.

    If that correct?
    12-01-2010 12:08 PM
  9. farbod21's Avatar
    Info
    iPhone..............3Gs
    iOS.................3.1.2
    Unlocked............Yes
    Jailbreaked.........Yes
    Tool User...........Blackra1n (UltraSn0w)
    Bootrom.............359.3
    BootLoader..........6.4
    Baseband............05.11.07
    SHSH Saved..........Yes



    I want upgrade to 4.2.1 so let me recap to be clear.

    Go to DFU mode
    make a restore with iTunes and 4.2.1
    Jailbreak with Redsn0w 0.9.6 Beta 5 for Windows
    From Cydia install Ultrasn0w 1.2
    Sync and restore from my backup
    Enjoy my iPhone?.

    If that correct?
    No. You have an old-bootrom 3GS and are already unlockable but want to get to 4.2.1, please wait until dev team release an unofficial bundle for you. If you can't wait, you should upgrade to 4.1 for the time being...
    Nehemoth likes this.
    12-01-2010 12:21 PM
  10. Nehemoth's Avatar
    Thank your for the answer but in the Dev Team said this

    ...If you have an iPhone3GS with an old bootrom, use redsn0w for an untethered 4.2.1 jailbreak...
    Last edited by Nehemoth; 12-01-2010 at 12:35 PM.
    12-01-2010 12:32 PM
  11. farbod21's Avatar
    Thank your for the answer but in the Dev Team said this
    That is for people who do not have an unlockable baseband and need 06.15.00. You do not. No need to upgrade your baseband firmware if you dont need to.
    Last edited by farbod21; 12-01-2010 at 12:44 PM.
    12-01-2010 12:42 PM
  12. Nehemoth's Avatar
    That is for people who do not have an unlockable baseband and need 06.15.00. You do not. No need to upgrade your baseband firmware if you dont need to.


    On the paragraph below the warning

    Dev-Team Blog
    12-01-2010 12:47 PM
  13. farbod21's Avatar
    On the paragraph below the warning

    Dev-Team Blog
    Strange they did not update the instructions... I would ask them for a clarification before I proceeded...
    Nehemoth likes this.
    12-01-2010 12:50 PM
  14. Nehemoth's Avatar
    Anyway thank you.

    A friend of mine followed the above procedure to upgrade his iPhone 3Gs as well a 3G iphone.

    I'm waiting a callback confirming it iphone bootrom version
    Last edited by Nehemoth; 12-01-2010 at 09:27 PM.
    12-01-2010 12:52 PM
LINK TO POST COPIED TO CLIPBOARD